commit:     1c7ede657c1f4ee82cba57c70de668f1d370537d
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 18 21:57:16 2021 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Nov 19 18:25:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c7ede65

app-admin/clustershell: bump

* PYTHON_COMPAT bump (3.9)
* EAPI 8 bump

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 .../clustershell/clustershell-1.8.3-r1.ebuild      | 44 ++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/app-admin/clustershell/clustershell-1.8.3-r1.ebuild 
b/app-admin/clustershell/clustershell-1.8.3-r1.ebuild
new file mode 100644
index 000000000000..53371ad3d6a7
--- /dev/null
+++ b/app-admin/clustershell/clustershell-1.8.3-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+PYTHON_REQ_USE="xml"
+
+inherit distutils-r1
+
+DESCRIPTION="Python framework for efficient cluster administration"
+HOMEPAGE="https://cea-hpc.github.com/clustershell/";
+SRC_URI="https://github.com/cea-hpc/clustershell/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+BDEPEND="
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+RDEPEND="
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-libs/openssl:0="
+
+RESTRICT="test" # currently fail
+
+python_install() {
+       distutils-r1_python_install
+       python_optimize
+}
+
+python_test() {
+       cd tests || die
+       nosetests -sv --all-modules || die
+}
+
+pkg_postinst() {
+       einfo
+       einfo "Some default system-wide config files have been installed into"
+       einfo "/etc/${PN}"
+       einfo
+}

Reply via email to